Create VPC Network
curl --request POST \
--url https://api.novita.ai/gpu-instance/openapi/v1/network/create \
--header 'Authorization: <authorization>' \
--header 'Content-Type: <content-type>' \
--data '
{
"clusterId": "<string>",
"name": "<string>"
}
'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/network/create"
payload = {
"clusterId": "<string>",
"name": "<string>"
}
headers = {
"Content-Type": "<content-type>",
"Authorization": "<authorization>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': '<content-type>', Authorization: '<authorization>'},
body: JSON.stringify({clusterId: '<string>', name: '<string>'})
};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/network/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network": [
{
"Id": "<string>",
"user": "<string>",
"name": "<string>",
"state": [
{
"state": "<string>",
"error": "<string>"
}
],
"segment": "<string>",
"clusterId": "<string>",
"Addresses": [
{
"Id": "<string>",
"Ip": "<string>"
}
],
"createTime": "<string>"
}
]
}Network
Create VPC Network
POST
/
gpu-instance
/
openapi
/
v1
/
network
/
create
Create VPC Network
Request Headers
Enum:
application/jsonBearer authentication format, for example: Bearer {{API Key}}.
Request Body
Cluster ID. You can obtain this via the List Clusters API. String, length limit: 1-255 characters.
Name of the VPC network. Customizable. String, length limit: 0-30 characters.
Response
VPC network information.
Hide properties
Hide properties
VPC network ID.
User account ID.
VPC network name.
VPC network segment.
Cluster ID.
VPC network creation time.
Last modified on May 27, 2025
Was this page helpful?
⌘I